-- allowDirectPlanting
-- Adds direct planting for all vehicles
-- Initial 2013-12-08 (c) Scathalh
-- RC 1 2014-01-05 (c) Scathalh
-- RC 1 2014-10-31 (c) Scathalh Migrated to FS15

allowDirectPlanting = {};
local allowDirectPlantingDir = g_currentModDirectory;

function allowDirectPlanting.prerequisitesPresent(specializations)
	return true;
end;

function allowDirectPlanting:load(xmlFile)
	self.useDirectPlanting = true;
	print("[INFO::allowDirectPlanting] ", self.configFileName, " enabled");
end;

function allowDirectPlanting:delete()
end;

function allowDirectPlanting:mouseEvent(posX, posY, isDown, isUp, button)
end;

function allowDirectPlanting:keyEvent(unicode, sym, modifier, isDown)
end;

function allowDirectPlanting:update(dt)	
end;

function allowDirectPlanting:updateTick(dt)
end;

function allowDirectPlanting:readStream(streamId, connection)
end;

function allowDirectPlanting:writeStream(streamId, connection)
end;

function allowDirectPlanting:draw()
end;